baseURL: https://dev-ipms.lttapp.com/docs/html/public
languageCode: en-us
defaultContentLanguage: en
title: Cupper
theme: cupper-hugo-theme


taxonomies:
  tag: tags

permalinks:
  post: /:filename/

imaging:
  quality: 99

params:
  description: IPMS API說明文檔
  homeMetaContent: IPMS API說明文檔
  footer: All Rights Reserved By Life Time Technology Limited
  # For more date formats see https://gohugo.io/functions/format/
  dateFormat: Jan 2, 2021
  codePenUser: someUser
  katex: true
  hideHeaderLinks: false
  search: true
  showThemeSwitcher: true
  defaultDarkTheme: false
  moveFooterToHeader: false
  logoAlt: "An alternative text description of the logo"
  customCss:
    - css/custom_01.css
    - css/custom_02.css
  customJs:
    - js/custom_01.js
    - js/custom_02.js

menu:
  nav:
    - name: Home
      url: /
      weight: 1
    - name: Posts
      url: /posts/
      weight: 2
    - name: Tags
      url: /tags/
      weight: 3

markup:
  defaultMarkdownHandler: goldmark
  goldmark:
    extensions:
      definitionList: true
      footnote: true
      linkify: true
      strikethrough: true
      table: true
      taskList: true
      typographer: true
    parser:
      attribute: true
      autoHeadingID: true
    renderer:
      hardWraps: false
      unsafe: true
      xHTML: false
  highlight:
    codeFences: false
    hl_Lines: ""
    lineNoStart: 1
    lineNos: false
    lineNumbersInTable: true
    noClasses: true
    style: monokai
    tabWidth: 4
  tableOfContents:
    endLevel: 6
    startLevel: 2
